Subject: Re: [PATCH 2/2] wrapper: Treat NULL as root node in devp_offset; add devp_offset_find().

From: David Gibson <[email-masked]>
Date: Mon, 17 Dec 2007 16:43:58 +1100

On Tue, Dec 11, 2007 at 03:23:05PM -0600, Scott Wood wrote:
> Many operations, as currently used in the wrapper, assume they can
> pass NULL and have it be treated as the root node.  However, libfdt-wrapper
> converts NULL to -1, which is only appropriate when searching for nodes,
> and will cause an error otherwise.

Hrm.  AFAICT "many" in this case, means three (being calls to
create_node() in devtree.c, main.c and planetcore.c).

Still I guess this patch is ok for now.  I futgure I'd like to shrink
the wrapper down and make the general interface be as close as
possible to the native libfdt interface.

> Signed-off-by: Scott Wood <[email-masked]>

Acked-by: David Gibson <[email-masked]>

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson